%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		xfwm4
Version: 	4.14.0
Release:	%mkrel 1
Summary:	Window manager for Xfce desktop environment
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/xfce/xfwm4/
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4kbd-private-2)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(xpresent)
# Drop unmaintained ia_ora xfwm4 theme
Obsoletes:	ia_ora-xfce < 1.0.2-10

%description
The Xfce 4 window manager manages the placement of application
windows on the screen, provides beautiful window decorations,
manages workspaces or virtual desktops, and natively supports
multiscreen mode. It provides its own compositing manager (
from the Xorg Composite extension) for true transparency and shadows.
The Xfce 4 window manager includes a keyboard shorcuts editor for user
specific commands and basic windows manipulations, and it provides a
dialog for advanced tweaks.

%prep
%autosetup -p1 -S git_am

%build
%configure2_5x \
	--enable-compositor \
	--enable-xsync \
	--enable-render \
	--enable-randr \
	--enable-startup-notification \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc example.gtkrc-2.0 AUTHORS COMPOSITOR README TODO
%{_bindir}/xfwm4*
%dir %{_libdir}/xfce4/xfwm4/
%{_libdir}/xfce4/xfwm4/helper-dialog
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/actions/*
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/xfwm4/
%{_datadir}/xfwm4/
